package com.sheep.gamegroup.util;

import android.content.Context;
import android.support.annotation.NonNull;
import android.view.View;
import android.widget.LinearLayout;

import com.scwang.smartrefresh.layout.api.RefreshFooter;
import com.scwang.smartrefresh.layout.api.RefreshKernel;
import com.scwang.smartrefresh.layout.api.RefreshLayout;
import com.scwang.smartrefresh.layout.constant.RefreshState;
import com.scwang.smartrefresh.layout.constant.SpinnerStyle;

/**
 * Created by ljy on 2018/9/19.
 */

public class SheepClassFooter extends LinearLayout implements RefreshFooter {
    public SheepClassFooter(Context context) {
        super(context);
    }

    @Override
    public boolean setNoMoreData(boolean b) {
        return false;
    }

    @NonNull
    @Override
    public View getView() {
        return null;
    }

    @NonNull
    @Override
    public SpinnerStyle getSpinnerStyle() {
        return null;
    }

    @Override
    public void setPrimaryColors(int... ints) {

    }

    @Override
    public void onInitialized(@NonNull RefreshKernel refreshKernel, int i, int i1) {

    }

    @Override
    public void onMoving(boolean b, float v, int i, int i1, int i2) {

    }

    @Override
    public void onReleased(@NonNull RefreshLayout refreshLayout, int i, int i1) {

    }

    @Override
    public void onStartAnimator(@NonNull RefreshLayout refreshLayout, int i, int i1) {

    }

    @Override
    public int onFinish(@NonNull RefreshLayout refreshLayout, boolean b) {
        return 0;
    }

    @Override
    public void onHorizontalDrag(float v, int i, int i1) {

    }

    @Override
    public boolean isSupportHorizontalDrag() {
        return false;
    }

    @Override
    public void onStateChanged(@NonNull RefreshLayout refreshLayout, @NonNull RefreshState refreshState, @NonNull RefreshState refreshState1) {

    }
}
